## qastools 0.21.0

=== CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )


# Default build type

IF ( NOT CMAKE_BUILD_TYPE )
	SET ( CMAKE_BUILD_TYPE Release )
ENDIF ( NOT CMAKE_BUILD_TYPE )

IF ( NOT BUILD_LIST )
	SET ( BUILD_LIST "qascommon,qasconfig,qashctl,qasmixer" )
ENDIF ( NOT BUILD_LIST )


# program/package/version suffix

IF ( NOT PROGRAM_SUFFIX )
	SET ( PROGRAM_SUFFIX "" )
ENDIF ( NOT PROGRAM_SUFFIX )

IF ( NOT VERSION_SUFFIX )
	SET ( VERSION_SUFFIX "" )
ENDIF ( NOT VERSION_SUFFIX )

IF ( NOT PACKAGE_SUFFIX )
	SET ( PACKAGE_SUFFIX "" )
ENDIF ( NOT PACKAGE_SUFFIX )


# Package name

IF ( NOT PACKAGE_TITLE )
	SET ( PACKAGE_TITLE "QasTools" )
ENDIF ( NOT PACKAGE_TITLE )

IF ( NOT PACKAGE_NAME )
	SET ( PACKAGE_NAME "qastools${PACKAGE_SUFFIX}" )
ENDIF ( NOT PACKAGE_NAME )


# Package version

SET ( PACKAGE_VERSION_MAJOR "0" )
SET ( PACKAGE_VERSION_MINOR "21" )
SET ( PACKAGE_VERSION_PATCH "0" )

SET ( PACKAGE_VERSION "${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH}${VERSION_SUFFIX}" )


# Installation directories

IF ( NOT INSTALL_DIR_BIN )
	SET ( INSTALL_DIR_BIN "bin" )
ENDIF ( NOT INSTALL_DIR_BIN )

IF ( NOT INSTALL_DIR_MAN )
	SET ( INSTALL_DIR_MAN "share/man/man1" )
ENDIF ( NOT INSTALL_DIR_MAN )

IF ( NOT INSTALL_DIR_DESKTOP )
	SET ( INSTALL_DIR_DESKTOP "share/applications" )
ENDIF ( NOT INSTALL_DIR_DESKTOP )


IF ( NOT INSTALL_DIR_DATA )
	SET ( INSTALL_DIR_DATA "share/${PACKAGE_NAME}" )
ENDIF ( NOT INSTALL_DIR_DATA )

IF ( NOT INSTALL_DIR_L10N )
	SET ( INSTALL_DIR_L10N "${INSTALL_DIR_DATA}/l10n" )
ENDIF ( NOT INSTALL_DIR_L10N )

IF ( NOT INSTALL_DIR_APP_ICONS )
	SET ( INSTALL_DIR_APP_ICONS "${INSTALL_DIR_DATA}/icons" )
ENDIF ( NOT INSTALL_DIR_APP_ICONS )

IF ( NOT INSTALL_DIR_WIDGETS_GRAPHICS )
	SET ( INSTALL_DIR_WIDGETS_GRAPHICS "${INSTALL_DIR_DATA}/widgets" )
ENDIF ( NOT INSTALL_DIR_WIDGETS_GRAPHICS )


# Icon installation directories

IF ( NOT INSTALL_DIR_ICONS_PNG_16 )
	SET ( INSTALL_DIR_ICONS_PNG_16 "share/icons/hicolor/16x16/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_16 )

IF ( NOT INSTALL_DIR_ICONS_PNG_32 )
	SET ( INSTALL_DIR_ICONS_PNG_32 "share/icons/hicolor/32x32/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_32 )

IF ( NOT INSTALL_DIR_ICONS_PNG_48 )
	SET ( INSTALL_DIR_ICONS_PNG_48 "share/icons/hicolor/48x48/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_48 )

IF ( NOT INSTALL_DIR_ICONS_PNG_64 )
	SET ( INSTALL_DIR_ICONS_PNG_64 "share/icons/hicolor/64x64/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_PNG_64 )

IF ( NOT INSTALL_DIR_ICONS_SVG )
	SET ( INSTALL_DIR_ICONS_SVG "share/icons/hicolor/scalable/apps" )
ENDIF ( NOT INSTALL_DIR_ICONS_SVG )


# Localization file prefix

SET ( L10N_PREFIX "${PACKAGE_NAME}_" )


# Shared resources

SET ( SHARED_RES_DIR "${CMAKE_CURRENT_SOURCE_DIR}/shared" )
SET ( SHARED_SRC_DIR "${SHARED_RES_DIR}/src" )
SET ( SHARED_INC_DIR "${SHARED_RES_DIR}/src" )


# Installation

IF ( NOT SKIP_LICENSE_INSTALL )
	INSTALL( FILES "COPYING"
		DESTINATION ${INSTALL_DIR_DATA} )
ENDIF ( NOT SKIP_LICENSE_INSTALL )


# Process subdirectories

IF ( ${BUILD_LIST} MATCHES "qascommon" )
	ADD_SUBDIRECTORY ( i18n )
	ADD_SUBDIRECTORY ( shared )
ENDIF ( ${BUILD_LIST} MATCHES "qascommon" )

IF ( ${BUILD_LIST} MATCHES "qasconfig" )
	ADD_SUBDIRECTORY ( qasconfig )
ENDIF ( ${BUILD_LIST} MATCHES "qasconfig" )

IF ( ${BUILD_LIST} MATCHES "qashctl" )
	ADD_SUBDIRECTORY ( qashctl )
ENDIF ( ${BUILD_LIST} MATCHES "qashctl" )

IF ( ${BUILD_LIST} MATCHES "qasmixer" )
	ADD_SUBDIRECTORY ( qasmixer )
ENDIF ( ${BUILD_LIST} MATCHES "qasmixer" )

=== i18n/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )

# Find modules
FIND_PACKAGE ( Qt5LinguistTools )

# Find translations source files
FILE ( GLOB ts_files "ts/*.ts" )

# Setup translations build target
QT5_ADD_TRANSLATION ( qm_files ${ts_files} )
ADD_CUSTOM_TARGET ( translations ALL DEPENDS ${qm_files} )

# Install translations
FOREACH ( qm_src ${qm_files} )
	STRING( REGEX REPLACE ".*app_" "${L10N_PREFIX}" qm_name ${qm_src} )
	INSTALL( FILES ${qm_src}
		RENAME ${qm_name}
		DESTINATION ${INSTALL_DIR_L10N} )
ENDFOREACH ( qm_src )

=== qasconfig/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )


# Program name

IF ( NOT PROGRAM_TITLE )
	SET ( PROGRAM_TITLE "QasConfig" )
ENDIF ( NOT PROGRAM_TITLE )

IF ( NOT PROGRAM_NAME )
	SET ( PROGRAM_NAME "qasconfig${PROGRAM_SUFFIX}" )
ENDIF ( NOT PROGRAM_NAME )

string ( TOUPPER ${PROGRAM_NAME} PROGRAM_NAME_UCASE )


# Program version

SET ( VERSION_MAJOR ${PACKAGE_VERSION_MAJOR} )
SET ( VERSION_MINOR ${PACKAGE_VERSION_MINOR} )
SET ( VERSION_PATCH ${PACKAGE_VERSION_PATCH} )

SET ( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX}" )


# Process subdirectories

ADD_SUBDIRECTORY ( src )
ADD_SUBDIRECTORY ( graphics )
ADD_SUBDIRECTORY ( share )

=== qashctl/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )


# Program name

IF ( NOT PROGRAM_TITLE )
	SET ( PROGRAM_TITLE "QasHctl" )
ENDIF ( NOT PROGRAM_TITLE )

IF ( NOT PROGRAM_NAME )
	SET ( PROGRAM_NAME "qashctl${PROGRAM_SUFFIX}" )
ENDIF ( NOT PROGRAM_NAME )

string ( TOUPPER ${PROGRAM_NAME} PROGRAM_NAME_UCASE )


# Program version

SET ( VERSION_MAJOR ${PACKAGE_VERSION_MAJOR} )
SET ( VERSION_MINOR ${PACKAGE_VERSION_MINOR} )
SET ( VERSION_PATCH ${PACKAGE_VERSION_PATCH} )

SET ( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX}" )


# Process subdirectories

ADD_SUBDIRECTORY ( src )
ADD_SUBDIRECTORY ( graphics )
ADD_SUBDIRECTORY ( share )

=== qasmixer/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )


# Program name

IF ( NOT PROGRAM_TITLE )
	SET ( PROGRAM_TITLE "QasMixer" )
ENDIF ( NOT PROGRAM_TITLE )

IF ( NOT PROGRAM_NAME )
	SET ( PROGRAM_NAME "qasmixer${PROGRAM_SUFFIX}" )
ENDIF ( NOT PROGRAM_NAME )

string ( TOUPPER ${PROGRAM_NAME} PROGRAM_NAME_UCASE )


# Program version

SET ( VERSION_MAJOR ${PACKAGE_VERSION_MAJOR} )
SET ( VERSION_MINOR ${PACKAGE_VERSION_MINOR} )
SET ( VERSION_PATCH ${PACKAGE_VERSION_PATCH} )

SET ( VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX}" )


# Process subdirectories

ADD_SUBDIRECTORY ( src )
ADD_SUBDIRECTORY ( graphics )
ADD_SUBDIRECTORY ( share )

=== shared/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )


# Process subdirectories

ADD_SUBDIRECTORY ( graphics )

=== qasconfig/graphics/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )


# Install application icons

INSTALL( FILES icons/app-icon-16x16.png
	DESTINATION ${INSTALL_DIR_ICONS_PNG_16}
	RENAME ${PROGRAM_NAME}.png )

INSTALL( FILES icons/app-icon-32x32.png
	DESTINATION ${INSTALL_DIR_ICONS_PNG_32}
	RENAME ${PROGRAM_NAME}.png )

INSTALL( FILES icons/app-icon-48x48.png
	DESTINATION ${INSTALL_DIR_ICONS_PNG_48}
	RENAME ${PROGRAM_NAME}.png )

INSTALL( FILES icons/app-icon-64x64.png
	DESTINATION ${INSTALL_DIR_ICONS_PNG_64}
	RENAME ${PROGRAM_NAME}.png )

INSTALL( FILES icons/app-icon.svg
	DESTINATION ${INSTALL_DIR_ICONS_SVG}
	RENAME ${PROGRAM_NAME}.svg )

=== qasconfig/src/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )


# --- Find modules

FIND_PACKAGE ( Qt5Widgets )
FIND_PACKAGE ( ALSA REQUIRED )


# --- Configure files

INCLUDE ( CheckIncludeFiles )

CONFIGURE_FILE (
	${SHARED_SRC_DIR}/qastools_config.hpp.cmake
	${CMAKE_CURRENT_BINARY_DIR}/qastools_config.hpp )


# --- Sources

SET ( SRC_GUI
	${SHARED_SRC_DIR}/qsnd/alsa.cpp
	${SHARED_SRC_DIR}/qsnd/alsa_config_watcher.cpp
	${SHARED_SRC_DIR}/wdg/scroll_area_vertical.cpp
	${SHARED_SRC_DIR}/wdg/text_browser.cpp
	${SHARED_SRC_DIR}/wdg/tree_view_kv.cpp
	${SHARED_SRC_DIR}/views/view_utility.cpp
	${SHARED_SRC_DIR}/views/basic_dialog.cpp
	${SHARED_SRC_DIR}/views/multi_page_dialog.cpp
	${SHARED_SRC_DIR}/views/info_dialog.cpp
	${SHARED_SRC_DIR}/license_texts.cpp

	qsnd/alsa_config_model.cpp
	views/alsa_config_view.cpp

	info_texts.cpp
	static_tree.cpp
	static_tree_model.cpp
	main_window.cpp
	desktop_items.cpp
	main.cpp
)

SET ( SRC_GUI_HEADER_MOC
	${SHARED_INC_DIR}/qsnd/alsa_config_watcher.hpp
	${SHARED_INC_DIR}/wdg/tree_view_kv.hpp
	${SHARED_INC_DIR}/views/basic_dialog.hpp
	${SHARED_INC_DIR}/views/multi_page_dialog.hpp
	${SHARED_INC_DIR}/views/info_dialog.hpp

	qsnd/alsa_config_model.hpp
	views/alsa_config_view.hpp

	main_window.hpp
)


# --- Compiler flags

SET ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wextra -Wunused -Wall" )
SET ( CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -g -fno-inline" )
SET ( CMAKE_CXX_FLAGS_RELEASE "-O2 ${CMAKE_CXX_FLAGS_RELEASE}" )
SET ( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed" )


# --- Include directories

INCLUDE_DIRECTORIES ( ${CMAKE_CURRENT_SOURCE_DIR} )
INCLUDE_DIRECTORIES ( ${CMAKE_CURRENT_BINARY_DIR} )
INCLUDE_DIRECTORIES ( ${SHARED_INC_DIR} )
INCLUDE_DIRECTORIES ( ${ALSA_INCLUDE_DIRS} )


# --- QT extras

QT5_WRAP_CPP ( SRC_GUI_MOC ${SRC_GUI_HEADER_MOC} )
QT5_WRAP_CPP ( SRC_EXTRA_MOC ${SRC_EXTRA_HEADER_MOC} )


# --- Executable

ADD_EXECUTABLE ( ${PROGRAM_NAME}
	${SRC_GUI}
	${SRC_GUI_MOC}
)

TARGET_LINK_LIBRARIES ( ${PROGRAM_NAME}
	Qt5::Widgets
	${ALSA_LIBRARIES}
)


# --- Installation

INSTALL (
	TARGETS ${PROGRAM_NAME} RUNTIME
	DESTINATION ${INSTALL_DIR_BIN} )

=== qashctl/src/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )


# --- Find modules

FIND_PACKAGE ( Qt5Widgets )
FIND_PACKAGE ( Qt5Svg )
FIND_PACKAGE ( ALSA REQUIRED )

# TODO: FIND_PACKAGE
SET ( UDEV_LIBRARIES udev )


# --- Configure files

INCLUDE ( CheckIncludeFiles )
CONFIGURE_FILE (
	${SHARED_SRC_DIR}/qastools_config.hpp.cmake
	${CMAKE_CURRENT_BINARY_DIR}/qastools_config.hpp )


# --- Sources

SET ( SRC_GUI
	${SHARED_SRC_DIR}/qsnd/alsa.cpp
	${SHARED_SRC_DIR}/qsnd/alsa_config_watcher.cpp
	${SHARED_SRC_DIR}/qsnd/event_types.cpp
	${SHARED_SRC_DIR}/qsnd/ctl_address_argument.cpp
	${SHARED_SRC_DIR}/qsnd/ctl_address.cpp
	${SHARED_SRC_DIR}/qsnd/ctl_format_argument.cpp
	${SHARED_SRC_DIR}/qsnd/ctl_format.cpp
	${SHARED_SRC_DIR}/qsnd/card_info.cpp
	${SHARED_SRC_DIR}/qsnd/cards_model.cpp
	${SHARED_SRC_DIR}/qsnd/controls_database.cpp
	${SHARED_SRC_DIR}/qsnd/controls_model.cpp
	${SHARED_SRC_DIR}/qsnd/mixer_hctl.cpp
	${SHARED_SRC_DIR}/qsnd/mixer_hctl_elem.cpp
	${SHARED_SRC_DIR}/qsnd/mixer_hctl_elem_group.cpp
	${SHARED_SRC_DIR}/qsnd/mixer_hctl_info_db.cpp
	${SHARED_SRC_DIR}/qsnd/udev_device_lookout.cpp

	${SHARED_SRC_DIR}/dpe/image_allocator.cpp
	${SHARED_SRC_DIR}/dpe/image.cpp
	${SHARED_SRC_DIR}/dpe/image_request.cpp
	${SHARED_SRC_DIR}/dpe/image_set.cpp
	${SHARED_SRC_DIR}/dpe/image_set_group.cpp
	${SHARED_SRC_DIR}/dpe/image_set_meta.cpp
	${SHARED_SRC_DIR}/dpe/image_set_state.cpp
	${SHARED_SRC_DIR}/dpe/is_buffer.cpp
	${SHARED_SRC_DIR}/dpe/is_buffer_handle.cpp
	${SHARED_SRC_DIR}/dpe/painter.cpp
	${SHARED_SRC_DIR}/dpe/painter_simple.cpp
	${SHARED_SRC_DIR}/dpe/painter_thread.cpp
	${SHARED_SRC_DIR}/dpe/painter_thread_shared.cpp
	${SHARED_SRC_DIR}/dpe/paint_job.cpp

	${SHARED_SRC_DIR}/wdg/label_width.cpp
	${SHARED_SRC_DIR}/wdg/label_elide.cpp
	${SHARED_SRC_DIR}/wdg/tree_view_kv.cpp
	${SHARED_SRC_DIR}/wdg/text_browser.cpp
	${SHARED_SRC_DIR}/wdg/scroll_area_horizontal.cpp
	${SHARED_SRC_DIR}/wdg/scroll_area_vertical.cpp
	${SHARED_SRC_DIR}/wdg/color_methods.cpp
	${SHARED_SRC_DIR}/wdg/cubic_curve.cpp
	${SHARED_SRC_DIR}/wdg/uint_mapper.cpp
	${SHARED_SRC_DIR}/wdg/ds_widget_painter.cpp
	${SHARED_SRC_DIR}/wdg/ds_widget_style_db.cpp
	${SHARED_SRC_DIR}/wdg/ds_imaging.cpp
	${SHARED_SRC_DIR}/wdg/ds_switch.cpp
	${SHARED_SRC_DIR}/wdg/ds_switch_painter_circle.cpp
	${SHARED_SRC_DIR}/wdg/ds_switch_painter_svg.cpp
	${SHARED_SRC_DIR}/wdg/ds_slider.cpp
	${SHARED_SRC_DIR}/wdg/ds_slider_meta_bg.cpp
	${SHARED_SRC_DIR}/wdg/ds_slider_painter_bevelled.cpp
	${SHARED_SRC_DIR}/wdg/event_types.cpp
	${SHARED_SRC_DIR}/wdg/pass_events.cpp
	${SHARED_SRC_DIR}/wdg/pad_proxies_column.cpp
	${SHARED_SRC_DIR}/wdg/pad_proxies_group.cpp
	${SHARED_SRC_DIR}/wdg/pad_proxy.cpp
	${SHARED_SRC_DIR}/wdg/pad_proxy_enum.cpp
	${SHARED_SRC_DIR}/wdg/pad_proxy_slider.cpp
	${SHARED_SRC_DIR}/wdg/pad_proxy_style.cpp
	${SHARED_SRC_DIR}/wdg/pad_proxy_switch.cpp
	${SHARED_SRC_DIR}/wdg/pad_focus_info.cpp
	${SHARED_SRC_DIR}/wdg/layout_weights.cpp
	${SHARED_SRC_DIR}/wdg/equal_columns_layout_group.cpp
	${SHARED_SRC_DIR}/wdg/equal_columns_layout.cpp
	${SHARED_SRC_DIR}/wdg/sliders_pad.cpp
	${SHARED_SRC_DIR}/wdg/sliders_pad_data.cpp
	${SHARED_SRC_DIR}/wdg/sliders_pad_footer.cpp
	${SHARED_SRC_DIR}/wdg/sliders_pad_header.cpp
	${SHARED_SRC_DIR}/wdg/sliders_pad_header_data.cpp
	${SHARED_SRC_DIR}/wdg/sliders_pad_layout.cpp
	${SHARED_SRC_DIR}/wdg/sliders_pad_style.cpp

	${SHARED_SRC_DIR}/mwdg/event_types.cpp
	${SHARED_SRC_DIR}/mwdg/slider_status_widget.cpp
	${SHARED_SRC_DIR}/mwdg/controls_view.cpp
	${SHARED_SRC_DIR}/mwdg/controls_delegate.cpp
	${SHARED_SRC_DIR}/mwdg/ctl_arg_view.cpp
	${SHARED_SRC_DIR}/mwdg/ctl_arg_view_integer.cpp
	${SHARED_SRC_DIR}/mwdg/ctl_arg_view_string.cpp
	${SHARED_SRC_DIR}/mwdg/ctl_arg_view_card.cpp
	${SHARED_SRC_DIR}/mwdg/inputs_setup.cpp
	${SHARED_SRC_DIR}/mwdg/mixer_device_setup.cpp
	${SHARED_SRC_DIR}/mwdg/mixer_style.cpp

	${SHARED_SRC_DIR}/views/view_utility.cpp
	${SHARED_SRC_DIR}/views/message_widget.cpp
	${SHARED_SRC_DIR}/views/view_base_setup.cpp
	${SHARED_SRC_DIR}/views/view_base.cpp
	${SHARED_SRC_DIR}/views/device_selection_view_setup.cpp
	${SHARED_SRC_DIR}/views/device_selection_view.cpp
	${SHARED_SRC_DIR}/views/basic_dialog.cpp
	${SHARED_SRC_DIR}/views/multi_page_dialog.cpp
	${SHARED_SRC_DIR}/views/info_dialog.cpp

	${SHARED_SRC_DIR}/license_texts.cpp

	mwdg/mixer_hctl.cpp
	mwdg/mixer_hctl_edit_bool.cpp
	mwdg/mixer_hctl_edit_enum.cpp
	mwdg/mixer_hctl_edit_int.cpp
	mwdg/mixer_hctl_editor.cpp
	mwdg/mixer_hctl_editor_data.cpp
	mwdg/mixer_hctl_edit_unsupported.cpp
	mwdg/mixer_hctl_int_proxies_group.cpp
	mwdg/mixer_hctl_int_proxy_column.cpp
	mwdg/mixer_hctl_int_proxy_slider.cpp
	mwdg/mixer_hctl_proxies_group.cpp
	mwdg/mixer_hctl_proxy.cpp
	mwdg/mixer_hctl_proxy_enum.cpp
	mwdg/mixer_hctl_proxy_switch.cpp
	mwdg/mixer_hctl_slider_status_widget.cpp
	mwdg/mixer_hctl_table_model.cpp
	mwdg/mixer_hctl_tree_model.cpp

	views/mixer_hctl_setup.cpp
	views/mixer_hctl.cpp

	info_texts.cpp
	main_window_setup.cpp
	main_window.cpp
	desktop_items.cpp
	main.cpp
)

SET ( SRC_GUI_HEADER_MOC
	${SHARED_INC_DIR}/qsnd/alsa_config_watcher.hpp
	${SHARED_INC_DIR}/qsnd/cards_model.hpp
	${SHARED_INC_DIR}/qsnd/controls_database.hpp
	${SHARED_INC_DIR}/qsnd/controls_model.hpp
	${SHARED_INC_DIR}/qsnd/mixer_hctl.hpp
	${SHARED_INC_DIR}/qsnd/mixer_hctl_elem.hpp
	${SHARED_INC_DIR}/qsnd/udev_device_lookout.hpp

	${SHARED_INC_DIR}/dpe/is_buffer.hpp
	${SHARED_INC_DIR}/dpe/image_allocator.hpp

	${SHARED_INC_DIR}/wdg/tree_view_kv.hpp
	${SHARED_INC_DIR}/wdg/ds_switch.hpp
	${SHARED_INC_DIR}/wdg/ds_slider.hpp
	${SHARED_INC_DIR}/wdg/pad_proxies_column.hpp
	${SHARED_INC_DIR}/wdg/pad_proxies_group.hpp
	${SHARED_INC_DIR}/wdg/pad_proxy.hpp
	${SHARED_INC_DIR}/wdg/pad_proxy_enum.hpp
	${SHARED_INC_DIR}/wdg/pad_proxy_slider.hpp
	${SHARED_INC_DIR}/wdg/pad_proxy_switch.hpp
	${SHARED_INC_DIR}/wdg/sliders_pad.hpp
	${SHARED_INC_DIR}/wdg/sliders_pad_data.hpp
	${SHARED_INC_DIR}/wdg/sliders_pad_footer.hpp
	${SHARED_INC_DIR}/wdg/sliders_pad_header.hpp

	${SHARED_INC_DIR}/mwdg/slider_status_widget.hpp
	${SHARED_INC_DIR}/mwdg/controls_view.hpp
	${SHARED_INC_DIR}/mwdg/controls_delegate.hpp
	${SHARED_INC_DIR}/mwdg/ctl_arg_view.hpp
	${SHARED_INC_DIR}/mwdg/ctl_arg_view_integer.hpp
	${SHARED_INC_DIR}/mwdg/ctl_arg_view_string.hpp
	${SHARED_INC_DIR}/mwdg/ctl_arg_view_card.hpp

	${SHARED_INC_DIR}/views/message_widget.hpp
	${SHARED_INC_DIR}/views/view_base.hpp
	${SHARED_INC_DIR}/views/device_selection_view.hpp
	${SHARED_INC_DIR}/views/basic_dialog.hpp
	${SHARED_INC_DIR}/views/multi_page_dialog.hpp
	${SHARED_INC_DIR}/views/info_dialog.hpp

	mwdg/mixer_hctl.hpp
	mwdg/mixer_hctl_edit_bool.hpp
	mwdg/mixer_hctl_edit_enum.hpp
	mwdg/mixer_hctl_edit_int.hpp
	mwdg/mixer_hctl_editor.hpp
	mwdg/mixer_hctl_edit_unsupported.hpp
	mwdg/mixer_hctl_int_proxies_group.hpp
	mwdg/mixer_hctl_int_proxy_column.hpp
	mwdg/mixer_hctl_int_proxy_slider.hpp
	mwdg/mixer_hctl_proxies_group.hpp
	mwdg/mixer_hctl_proxy.hpp
	mwdg/mixer_hctl_proxy_enum.hpp
	mwdg/mixer_hctl_proxy_switch.hpp
	mwdg/mixer_hctl_slider_status_widget.hpp
	mwdg/mixer_hctl_table_model.hpp
	mwdg/mixer_hctl_tree_model.hpp

	views/mixer_hctl.hpp

	main_window.hpp
)


# --- Compiler flags

SET ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wextra -Wunused -Wall" )
SET ( CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -g -fno-inline" )
SET ( CMAKE_CXX_FLAGS_RELEASE "-O2 ${CMAKE_CXX_FLAGS_RELEASE}" )
SET ( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed" )


# --- Include directories

INCLUDE_DIRECTORIES ( ${CMAKE_CURRENT_SOURCE_DIR} )
INCLUDE_DIRECTORIES ( ${CMAKE_CURRENT_BINARY_DIR} )
INCLUDE_DIRECTORIES ( ${SHARED_INC_DIR} )
INCLUDE_DIRECTORIES ( ${ALSA_INCLUDE_DIRS} )


# --- QT extras

QT5_WRAP_CPP ( SRC_GUI_MOC ${SRC_GUI_HEADER_MOC} )
QT5_WRAP_CPP ( SRC_EXTRA_MOC ${SRC_EXTRA_HEADER_MOC} )


# --- Executable

ADD_EXECUTABLE ( ${PROGRAM_NAME}
	${SRC_GUI}
	${SRC_GUI_MOC}
)

TARGET_LINK_LIBRARIES ( ${PROGRAM_NAME}
	Qt5::Widgets
	Qt5::Svg
	${ALSA_LIBRARIES}
	${UDEV_LIBRARIES}
)


# --- Installation

INSTALL (
	TARGETS ${PROGRAM_NAME} RUNTIME
	DESTINATION ${INSTALL_DIR_BIN} )

=== qasmixer/graphics/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )


# Install application icons

INSTALL( FILES icons/app-icon-16x16.png
	DESTINATION ${INSTALL_DIR_ICONS_PNG_16}
	RENAME ${PROGRAM_NAME}.png )

INSTALL( FILES icons/app-icon-32x32.png
	DESTINATION ${INSTALL_DIR_ICONS_PNG_32}
	RENAME ${PROGRAM_NAME}.png )

INSTALL( FILES icons/app-icon-48x48.png
	DESTINATION ${INSTALL_DIR_ICONS_PNG_48}
	RENAME ${PROGRAM_NAME}.png )

INSTALL( FILES icons/app-icon-64x64.png
	DESTINATION ${INSTALL_DIR_ICONS_PNG_64}
	RENAME ${PROGRAM_NAME}.png )

INSTALL( FILES icons/app-icon.svg
	DESTINATION ${INSTALL_DIR_ICONS_SVG}
	RENAME ${PROGRAM_NAME}.svg )


# Install simple mixer icons

INSTALL ( FILES icons/show-playback.svg
	DESTINATION ${INSTALL_DIR_APP_ICONS} )

INSTALL ( FILES icons/show-capture.svg
	DESTINATION ${INSTALL_DIR_APP_ICONS} )

=== qasmixer/src/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )


# --- Find modules

FIND_PACKAGE ( Qt5Core REQUIRED )
FIND_PACKAGE ( Qt5Widgets REQUIRED )
FIND_PACKAGE ( Qt5Svg REQUIRED )
FIND_PACKAGE ( Qt5Network REQUIRED )
FIND_PACKAGE ( ALSA REQUIRED )

# TODO: FIND_PACKAGE
SET ( UDEV_LIBRARIES udev )


# --- Configure files

INCLUDE ( CheckIncludeFiles )
CONFIGURE_FILE (
	${SHARED_SRC_DIR}/qastools_config.hpp.cmake
	${CMAKE_CURRENT_BINARY_DIR}/qastools_config.hpp )


# --- Sources

SET ( SRC_GUI

	${SHARED_SRC_DIR}/qsnd/alsa.cpp
	${SHARED_SRC_DIR}/qsnd/event_types.cpp
	${SHARED_SRC_DIR}/qsnd/ctl_format_argument.cpp
	${SHARED_SRC_DIR}/qsnd/ctl_format.cpp
	${SHARED_SRC_DIR}/qsnd/ctl_address_argument.cpp
	${SHARED_SRC_DIR}/qsnd/ctl_address.cpp
	${SHARED_SRC_DIR}/qsnd/controls_database.cpp
	${SHARED_SRC_DIR}/qsnd/controls_model.cpp
	${SHARED_SRC_DIR}/qsnd/cards_model.cpp
	${SHARED_SRC_DIR}/qsnd/card_info.cpp
	${SHARED_SRC_DIR}/qsnd/mixer_simple_elem.cpp
	${SHARED_SRC_DIR}/qsnd/mixer_simple_filter.cpp
	${SHARED_SRC_DIR}/qsnd/mixer_simple_filter_name.cpp
	${SHARED_SRC_DIR}/qsnd/mixer_simple.cpp
	${SHARED_SRC_DIR}/qsnd/udev_device_lookout.cpp

	${SHARED_SRC_DIR}/dpe/image.cpp
	${SHARED_SRC_DIR}/dpe/image_set_meta.cpp
	${SHARED_SRC_DIR}/dpe/image_set.cpp
	${SHARED_SRC_DIR}/dpe/image_set_group.cpp
	${SHARED_SRC_DIR}/dpe/image_set_state.cpp
	${SHARED_SRC_DIR}/dpe/image_request.cpp
	${SHARED_SRC_DIR}/dpe/image_allocator.cpp
	${SHARED_SRC_DIR}/dpe/is_buffer_handle.cpp
	${SHARED_SRC_DIR}/dpe/is_buffer.cpp
	${SHARED_SRC_DIR}/dpe/paint_job.cpp
	${SHARED_SRC_DIR}/dpe/painter.cpp
	${SHARED_SRC_DIR}/dpe/painter_simple.cpp
	${SHARED_SRC_DIR}/dpe/painter_thread.cpp
	${SHARED_SRC_DIR}/dpe/painter_thread_shared.cpp

	${SHARED_SRC_DIR}/wdg/label_elide.cpp
	${SHARED_SRC_DIR}/wdg/label_width.cpp
	${SHARED_SRC_DIR}/wdg/text_browser.cpp
	${SHARED_SRC_DIR}/wdg/scroll_area_horizontal.cpp
	${SHARED_SRC_DIR}/wdg/scroll_area_vertical.cpp
	${SHARED_SRC_DIR}/wdg/balloon_widget.cpp
	${SHARED_SRC_DIR}/wdg/color_methods.cpp
	${SHARED_SRC_DIR}/wdg/ds_widget_style_db.cpp
	${SHARED_SRC_DIR}/wdg/ds_widget_painter.cpp
	${SHARED_SRC_DIR}/wdg/ds_imaging.cpp
	${SHARED_SRC_DIR}/wdg/ds_switch_painter_circle.cpp
	${SHARED_SRC_DIR}/wdg/ds_switch_painter_close.cpp
	${SHARED_SRC_DIR}/wdg/ds_switch_painter_svg.cpp
	${SHARED_SRC_DIR}/wdg/ds_switch.cpp

	${SHARED_SRC_DIR}/wdg/uint_mapper.cpp
	${SHARED_SRC_DIR}/wdg/cubic_curve.cpp
	${SHARED_SRC_DIR}/wdg/ds_slider_meta_bg.cpp
	${SHARED_SRC_DIR}/wdg/ds_slider_painter_bevelled.cpp
	${SHARED_SRC_DIR}/wdg/ds_slider.cpp

	${SHARED_SRC_DIR}/wdg/event_types.cpp
	${SHARED_SRC_DIR}/wdg/pass_events.cpp

	${SHARED_SRC_DIR}/wdg/pad_focus_info.cpp
	${SHARED_SRC_DIR}/wdg/pad_proxy.cpp
	${SHARED_SRC_DIR}/wdg/pad_proxy_style.cpp
	${SHARED_SRC_DIR}/wdg/pad_proxy_slider.cpp
	${SHARED_SRC_DIR}/wdg/pad_proxy_switch.cpp
	${SHARED_SRC_DIR}/wdg/pad_proxy_enum.cpp
	${SHARED_SRC_DIR}/wdg/pad_proxies_column.cpp
	${SHARED_SRC_DIR}/wdg/pad_proxies_group.cpp

	${SHARED_SRC_DIR}/wdg/layout_weights.cpp
	${SHARED_SRC_DIR}/wdg/equal_columns_layout_group.cpp
	${SHARED_SRC_DIR}/wdg/equal_columns_layout.cpp
	${SHARED_SRC_DIR}/wdg/fill_columns_layout.cpp

	${SHARED_SRC_DIR}/wdg/sliders_pad_layout.cpp
	${SHARED_SRC_DIR}/wdg/sliders_pad_style.cpp
	${SHARED_SRC_DIR}/wdg/sliders_pad_data.cpp
	${SHARED_SRC_DIR}/wdg/sliders_pad_header_data.cpp
	${SHARED_SRC_DIR}/wdg/sliders_pad_header.cpp
	${SHARED_SRC_DIR}/wdg/sliders_pad_footer.cpp
	${SHARED_SRC_DIR}/wdg/sliders_pad.cpp

	${SHARED_SRC_DIR}/wdg/switches_pad_widgets.cpp
	${SHARED_SRC_DIR}/wdg/switches_pad_widgets_group.cpp
	${SHARED_SRC_DIR}/wdg/switches_pad.cpp
	${SHARED_SRC_DIR}/wdg/switches_area.cpp

	${SHARED_SRC_DIR}/mwdg/event_types.cpp
	${SHARED_SRC_DIR}/mwdg/ctl_arg_view.cpp
	${SHARED_SRC_DIR}/mwdg/ctl_arg_view_string.cpp
	${SHARED_SRC_DIR}/mwdg/ctl_arg_view_integer.cpp
	${SHARED_SRC_DIR}/mwdg/ctl_arg_view_card.cpp
	${SHARED_SRC_DIR}/mwdg/controls_delegate.cpp
	${SHARED_SRC_DIR}/mwdg/controls_view.cpp
	${SHARED_SRC_DIR}/mwdg/slider_status_widget.cpp
	${SHARED_SRC_DIR}/mwdg/inputs_setup.cpp
	${SHARED_SRC_DIR}/mwdg/mixer_device_setup.cpp
	${SHARED_SRC_DIR}/mwdg/mixer_style.cpp

	${SHARED_SRC_DIR}/views/view_utility.cpp
	${SHARED_SRC_DIR}/views/message_widget.cpp
	${SHARED_SRC_DIR}/views/view_base_setup.cpp
	${SHARED_SRC_DIR}/views/view_base.cpp
	${SHARED_SRC_DIR}/views/device_selection_view_setup.cpp
	${SHARED_SRC_DIR}/views/device_selection_view.cpp
	${SHARED_SRC_DIR}/views/basic_dialog.cpp
	${SHARED_SRC_DIR}/views/multi_page_dialog.cpp
	${SHARED_SRC_DIR}/views/info_dialog.cpp

	${SHARED_SRC_DIR}/unix_signal_handler.cpp
	${SHARED_SRC_DIR}/single_application.cpp
	${SHARED_SRC_DIR}/license_texts.cpp

	mwdg/mixer_gui_state.cpp
	mwdg/mixer_simple_setup.cpp
	mwdg/mixer_separation_info.cpp
	mwdg/mixer_sliders_proxy_slider.cpp
	mwdg/mixer_sliders_proxy_switch.cpp
	mwdg/mixer_sliders_proxies_column.cpp
	mwdg/mixer_sliders_proxies_group.cpp
	mwdg/mixer_sliders_status_widget.cpp
	mwdg/mixer_sliders.cpp
	mwdg/mixer_switches_proxy_enum.cpp
	mwdg/mixer_switches_proxy_switch.cpp
	mwdg/mixer_switches_proxies_group.cpp
	mwdg/mixer_switches.cpp

	views/mixer_simple_setup.cpp
	views/mixer_simple.cpp
	views/settings_dialog_setup.cpp
	views/settings_dialog.cpp

	tray_mixer_mdev_setup.cpp
	tray_mixer_view_setup.cpp
	tray_mixer_icon.cpp
	tray_mixer_balloon.cpp
	tray_mixer.cpp
	cmd_options.cpp
	main_window_setup.cpp
	main_window.cpp
	desktop_items_setup.cpp
	desktop_items.cpp

	init_globals.cpp
	info_texts.cpp
	main.cpp
)


SET ( SRC_GUI_HEADER_MOC

	${SHARED_INC_DIR}/qsnd/controls_database.hpp
	${SHARED_INC_DIR}/qsnd/controls_model.hpp
	${SHARED_INC_DIR}/qsnd/cards_model.hpp
	${SHARED_INC_DIR}/qsnd/mixer_simple_elem.hpp
	${SHARED_INC_DIR}/qsnd/mixer_simple.hpp
	${SHARED_INC_DIR}/qsnd/udev_device_lookout.hpp

	${SHARED_INC_DIR}/dpe/is_buffer.hpp
	${SHARED_INC_DIR}/dpe/image_allocator.hpp

	${SHARED_INC_DIR}/wdg/ds_slider.hpp
	${SHARED_INC_DIR}/wdg/ds_switch.hpp
	${SHARED_INC_DIR}/wdg/balloon_widget.hpp
	${SHARED_INC_DIR}/wdg/pad_proxy.hpp
	${SHARED_INC_DIR}/wdg/pad_proxy_slider.hpp
	${SHARED_INC_DIR}/wdg/pad_proxy_switch.hpp
	${SHARED_INC_DIR}/wdg/pad_proxy_enum.hpp
	${SHARED_INC_DIR}/wdg/pad_proxies_column.hpp
	${SHARED_INC_DIR}/wdg/pad_proxies_group.hpp
	${SHARED_INC_DIR}/wdg/sliders_pad_data.hpp
	${SHARED_INC_DIR}/wdg/sliders_pad_header.hpp
	${SHARED_INC_DIR}/wdg/sliders_pad_footer.hpp
	${SHARED_INC_DIR}/wdg/sliders_pad.hpp
	${SHARED_INC_DIR}/wdg/switches_pad.hpp

	${SHARED_INC_DIR}/mwdg/controls_delegate.hpp
	${SHARED_INC_DIR}/mwdg/controls_view.hpp
	${SHARED_INC_DIR}/mwdg/ctl_arg_view.hpp
	${SHARED_INC_DIR}/mwdg/ctl_arg_view_string.hpp
	${SHARED_INC_DIR}/mwdg/ctl_arg_view_integer.hpp
	${SHARED_INC_DIR}/mwdg/ctl_arg_view_card.hpp
	${SHARED_INC_DIR}/mwdg/slider_status_widget.hpp

	${SHARED_INC_DIR}/views/message_widget.hpp
	${SHARED_INC_DIR}/views/view_base.hpp
	${SHARED_INC_DIR}/views/device_selection_view.hpp
	${SHARED_INC_DIR}/views/basic_dialog.hpp
	${SHARED_INC_DIR}/views/multi_page_dialog.hpp
	${SHARED_INC_DIR}/views/info_dialog.hpp

	${SHARED_INC_DIR}/unix_signal_handler.hpp
	${SHARED_INC_DIR}/single_application.hpp

	mwdg/mixer_sliders_proxy_slider.hpp
	mwdg/mixer_sliders_proxy_switch.hpp
	mwdg/mixer_sliders_proxies_column.hpp
	mwdg/mixer_sliders_proxies_group.hpp
	mwdg/mixer_sliders_status_widget.hpp
	mwdg/mixer_sliders.hpp
	mwdg/mixer_switches_proxy_enum.hpp
	mwdg/mixer_switches_proxy_switch.hpp
	mwdg/mixer_switches_proxies_group.hpp
	mwdg/mixer_switches.hpp

	views/mixer_simple.hpp
	views/settings_dialog.hpp

	tray_mixer_icon.hpp
	tray_mixer_balloon.hpp
	tray_mixer.hpp
	main_window.hpp
	desktop_items.hpp
)


# --- Compiler flags

SET ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wextra -Wunused -Wall" )
SET ( CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -g -fno-inline" )
SET ( CMAKE_CXX_FLAGS_RELEASE "-O2 ${CMAKE_CXX_FLAGS_RELEASE}" )
SET ( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed" )


# --- Include directories

INCLUDE_DIRECTORIES ( ${CMAKE_CURRENT_SOURCE_DIR} )
INCLUDE_DIRECTORIES ( ${CMAKE_CURRENT_BINARY_DIR} )
INCLUDE_DIRECTORIES ( ${SHARED_INC_DIR} )
INCLUDE_DIRECTORIES ( ${ALSA_INCLUDE_DIRS} )


# --- QT extras

QT5_WRAP_CPP ( SRC_GUI_MOC ${SRC_GUI_HEADER_MOC} )
QT5_WRAP_CPP ( SRC_EXTRA_MOC ${SRC_EXTRA_HEADER_MOC} )


# --- Executable

ADD_EXECUTABLE ( ${PROGRAM_NAME}
	${SRC_GUI}
	${SRC_GUI_MOC}
)
TARGET_LINK_LIBRARIES ( ${PROGRAM_NAME}
	Qt5::Widgets
	Qt5::Svg
	Qt5::Network
	${ALSA_LIBRARIES}
	${UDEV_LIBRARIES}
)


# --- Installation

INSTALL (
	TARGETS ${PROGRAM_NAME} RUNTIME
	DESTINATION ${INSTALL_DIR_BIN} )

=== shared/graphics/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )


# Install widgets graphics

FILE ( GLOB switch_icons "widgets/sw_joined_bg_*.svg" )
FOREACH ( switch_icon ${switch_icons} )
	INSTALL ( FILES ${switch_icon}
		DESTINATION ${INSTALL_DIR_WIDGETS_GRAPHICS} )
ENDFOREACH( switch_icon )


FILE ( GLOB switch_icons "widgets/sw_joined_handle_*.svg" )
FOREACH ( switch_icon ${switch_icons} )
	INSTALL ( FILES ${switch_icon}
		DESTINATION ${INSTALL_DIR_WIDGETS_GRAPHICS} )
ENDFOREACH( switch_icon )

=== debian/changelog ===
qastools (0.21.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on qttools5-dev. (Closes: #881086)

 -- Adrian Bunk <bunk@debian.org>  Tue, 05 Dec 2017 22:50:10 +0200

qastools (0.21.0-1) unstable; urgency=medium

  * New upstream release.
    - Use Qt5 instead of Qt4
    - Compile with C++11
    - Compiler warning fixes
    - Bug fixes
    - Desktop files: "Categories" list extended with "Qt"
    - Desktop files: "Keywords" list added
    - Desktop files: Translations updated
  * debian/control:
    - Build-Depends on qtbase5-dev.
    - Build-Depends on libqt5svg5-dev.
    - Build-Depends on qttools5-dev-tools.
    - Build-Depends removed libqt4-dev.
    - Vcs-Git uses https:// instead of git://
    - Vcs-Browser anonscm.debian.org url scheme updated
    - Vcs-Browser uses https:// instead of http://
    - Standards-Version raised to 3.9.8.
    - Description typos fixed
  * debian/rules:
    - Hardening flags enabled
    - Parallel build enabled
  * Empty debian/docs file removed

 -- Sebastian Holtermann <sebholt@xwmw.org>  Thu, 28 Apr 2016 19:36:12 +0200

=== debian/control ===
Source: qastools
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Sebastian Holtermann <sebholt@xwmw.org>
Build-Depends:
 cmake,
 debhelper (>= 9),
 libasound2-dev,
 qtbase5-dev,
 libqt5svg5-dev,
 qttools5-dev-tools,
 qttools5-dev,
 libudev-dev,
 python-scour
Standards-Version: 3.9.8
Homepage: http://xwmw.org/qastools
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/qastools.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/qastools.git

Package: qastools-common
Architecture: all
Depends:
 ${misc:Depends}
Description: QasTools common files
 QasTools is a collection of desktop applications for the
 Linux sound system ALSA.
 .
 The applications included are:
  - QasConfig - browser for the ALSA configuration tree
  - QasHctl - mixer for ALSA's High level Control Interface
  - QasMixer - desktop mixer with features similar to alsamixer
 .
 This package contains common files shared by all applications.

Package: qasconfig
Architecture: linux-any
Depends:
 qastools-common,
 ${misc:Depends},
 ${shlibs:Depends}
Description: ALSA configuration browser
 QasTools is a collection of desktop applications for the
 Linux sound system ALSA.
 .
 The applications included are:
  - QasConfig - browser for the ALSA configuration tree
  - QasHctl - mixer for ALSA's High level Control Interface
  - QasMixer - desktop mixer with features similar to alsamixer
 .
 ALSA's configuration resides in a tree structure which gets built
 from the contents of the files /etc/asound.conf and ~/.asoundrc.
 QasConfig is a simple browser for this configuration tree and can
 help to analyze and debug an ALSA setup.

Package: qashctl
Architecture: linux-any
Depends:
 qastools-common,
 ${misc:Depends},
 ${shlibs:Depends}
Description: mixer for ALSA's High level Control Interface
 QasTools is a collection of desktop applications for the
 Linux sound system ALSA.
 .
 The applications included are:
  - QasConfig - browser for the ALSA configuration tree
  - QasHctl - mixer for ALSA's High level Control Interface
  - QasMixer - desktop mixer with features similar to alsamixer
 .
 QasHctl is a mixer application for ALSA's
 "High level Control Interface". This interface allows more complex
 interaction than the "Simple Mixer Interface" which is used by
 alsamixer and QasMixer.

Package: qasmixer
Architecture: linux-any
Depends:
 qastools-common,
 ${misc:Depends},
 ${shlibs:Depends}
Description: ALSA mixer for the desktop
 QasTools is a collection of desktop applications for the
 Linux sound system ALSA.
 .
 The applications included are:
  - QasConfig - browser for the ALSA configuration tree
  - QasHctl - mixer for ALSA's High level Control Interface
  - QasMixer - desktop mixer with features similar to alsamixer
 .
 QasMixer is a desktop mixer application for ALSA's
 "Simple Mixer Interface" and offers features similar to alsamixer.
 It also features a system tray icon with basic mixer functionality.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with scour --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DSKIP_LICENSE_INSTALL=TRUE

## qastools 0.21.0.1+rb2

=== qasconfig/share/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )


# Desktop file

SET ( desktop_file_src ${CMAKE_CURRENT_SOURCE_DIR}/application.desktop )
SET ( desktop_file     ${CMAKE_CURRENT_BINARY_DIR}/${PROGRAM_NAME}.desktop )

CONFIGURE_FILE ( ${desktop_file_src} ${desktop_file} )

INSTALL( FILES ${desktop_file}
	DESTINATION ${INSTALL_DIR_DESKTOP} )


# Subdirectories

ADD_SUBDIRECTORY ( man )

=== qasconfig/share/man/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )

# Find gzip
FIND_PACKAGE ( UnixCommands REQUIRED )

IF ( NOT GZIP )
	MESSAGE ( FATAL_ERROR "Unable to find 'gzip' program" )
ENDIF ( NOT GZIP )


# Configure manpages

SET ( man_src  ${CMAKE_CURRENT_SOURCE_DIR}/manpage.1.cmake )
SET ( man_plain ${CMAKE_CURRENT_BINARY_DIR}/manpage.1 )
SET ( man_gz ${CMAKE_CURRENT_BINARY_DIR}/manpage.1.gz )

CONFIGURE_FILE ( ${man_src} ${man_plain} )


# Compress manpages

ADD_CUSTOM_COMMAND (
	OUTPUT ${man_gz}
	COMMAND ${GZIP} -c -9 ${man_plain} > ${man_gz}
	DEPENDS ${man_plain}
	COMMENT "Building ${man_gz}" )

ADD_CUSTOM_TARGET (
	qasconfig_manpage ALL
	DEPENDS ${man_gz} )


# Installation of the manpage

INSTALL ( FILES ${man_gz}
	DESTINATION ${INSTALL_DIR_MAN}
	RENAME ${PROGRAM_NAME}.1.gz )

=== debian/changelog ===
qastools (0.21.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>  Fri, 29 Jan 2021 09:19:05 +0800

## qastools 0.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
-
-CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )
+CMAKE_MINIMUM_REQUIRED ( VERSION 3.6 )
+PROJECT ( QasTools
+    VERSION 0.22.0
+    LANGUAGES CXX )
 
 
 # Default build type
@@ -41,11 +43,12 @@
 
 # Package version
 
-SET ( PACKAGE_VERSION_MAJOR "0" )
-SET ( PACKAGE_VERSION_MINOR "21" )
-SET ( PACKAGE_VERSION_PATCH "0" )
+SET ( PACKAGE_VERSION_MAJOR "${PROJECT_VERSION_MAJOR}" )
+SET ( PACKAGE_VERSION_MINOR "${PROJECT_VERSION_MINOR}" )
+SET ( PACKAGE_VERSION_PATCH "${PROJECT_VERSION_PATCH}" )
 
-SET ( PACKAGE_VERSION "${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH}${VERSION_SUFFIX}" )
+SET ( PACKAGE_VERSION
+    "${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH}${VERSION_SUFFIX}" )
 
 
 # Installation directories

=== Makefile ===

all: debug release

debug:
	cd ~/build/qastools/debug && make -j8

release:
	cd ~/build/qastools/release && make -j8

=== i18n/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,3 @@
-
-CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )
-
 # Find modules
 FIND_PACKAGE ( Qt5LinguistTools )

=== qasconfig/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,3 @@
-
-CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )
-
-
 # Program name
 
 IF ( NOT PROGRAM_TITLE )

=== qashctl/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,3 @@
-
-CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )
-
-
 # Program name
 
 IF ( NOT PROGRAM_TITLE )

=== qasmixer/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,3 @@
-
-CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )
-
-
 # Program name
 
 IF ( NOT PROGRAM_TITLE )

=== qasconfig/graphics/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,3 @@
-
-CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )
-
-
 # Install application icons
 
 INSTALL( FILES icons/app-icon-16x16.png

=== qasconfig/share/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,3 @@
-
-CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )
-
-
 # Desktop file
 
 SET ( desktop_file_src ${CMAKE_CURRENT_SOURCE_DIR}/application.desktop )

=== qasconfig/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,3 @@
-
-CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )
-
-
 # --- Find modules
 
 FIND_PACKAGE ( Qt5Widgets )
@@ -42,26 +38,15 @@
 	main.cpp
 )
 
-SET ( SRC_GUI_HEADER_MOC
-	${SHARED_INC_DIR}/qsnd/alsa_config_watcher.hpp
-	${SHARED_INC_DIR}/wdg/tree_view_kv.hpp
-	${SHARED_INC_DIR}/views/basic_dialog.hpp
-	${SHARED_INC_DIR}/views/multi_page_dialog.hpp
-	${SHARED_INC_DIR}/views/info_dialog.hpp
-
-	qsnd/alsa_config_model.hpp
-	views/alsa_config_view.hpp
-
-	main_window.hpp
-)
-
 
 # --- Compiler flags
 
-SET ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wextra -Wunused -Wall" )
+SET ( CMAKE_CXX_STANDARD 17 )
+SET ( CMAKE_CXX_STANDARD_REQUIRED OFF )
+SET ( CMAKE_CXX_EXTENSIONS OFF )
+SET ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wextra -Wunused -Wall" )
 SET ( CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -g -fno-inline" )
 SET ( CMAKE_CXX_FLAGS_RELEASE "-O2 ${CMAKE_CXX_FLAGS_RELEASE}" )
-SET ( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed" )
 
 
 # --- Include directories
@@ -72,19 +57,13 @@
 INCLUDE_DIRECTORIES ( ${ALSA_INCLUDE_DIRS} )
 
 
-# --- QT extras
-
-QT5_WRAP_CPP ( SRC_GUI_MOC ${SRC_GUI_HEADER_MOC} )
-QT5_WRAP_CPP ( SRC_EXTRA_MOC ${SRC_EXTRA_HEADER_MOC} )
-
-
 # --- Executable
 
 ADD_EXECUTABLE ( ${PROGRAM_NAME}
 	${SRC_GUI}
 	${SRC_GUI_MOC}
 )
-
+SET_TARGET_PROPERTIES ( ${PROGRAM_NAME} PROPERTIES AUTOMOC ON )
 TARGET_LINK_LIBRARIES ( ${PROGRAM_NAME}
 	Qt5::Widgets
 	${ALSA_LIBRARIES}

=== qashctl/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,3 @@
-
-CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )
-
-
 # --- Find modules
 
 FIND_PACKAGE ( Qt5Widgets )
@@ -146,76 +142,15 @@
 	main.cpp
 )
 
-SET ( SRC_GUI_HEADER_MOC
-	${SHARED_INC_DIR}/qsnd/alsa_config_watcher.hpp
-	${SHARED_INC_DIR}/qsnd/cards_model.hpp
-	${SHARED_INC_DIR}/qsnd/controls_database.hpp
-	${SHARED_INC_DIR}/qsnd/controls_model.hpp
-	${SHARED_INC_DIR}/qsnd/mixer_hctl.hpp
-	${SHARED_INC_DIR}/qsnd/mixer_hctl_elem.hpp
-	${SHARED_INC_DIR}/qsnd/udev_device_lookout.hpp
-
-	${SHARED_INC_DIR}/dpe/is_buffer.hpp
-	${SHARED_INC_DIR}/dpe/image_allocator.hpp
-
-	${SHARED_INC_DIR}/wdg/tree_view_kv.hpp
-	${SHARED_INC_DIR}/wdg/ds_switch.hpp
-	${SHARED_INC_DIR}/wdg/ds_slider.hpp
-	${SHARED_INC_DIR}/wdg/pad_proxies_column.hpp
-	${SHARED_INC_DIR}/wdg/pad_proxies_group.hpp
-	${SHARED_INC_DIR}/wdg/pad_proxy.hpp
-	${SHARED_INC_DIR}/wdg/pad_proxy_enum.hpp
-	${SHARED_INC_DIR}/wdg/pad_proxy_slider.hpp
-	${SHARED_INC_DIR}/wdg/pad_proxy_switch.hpp
-	${SHARED_INC_DIR}/wdg/sliders_pad.hpp
-	${SHARED_INC_DIR}/wdg/sliders_pad_data.hpp
-	${SHARED_INC_DIR}/wdg/sliders_pad_footer.hpp
-	${SHARED_INC_DIR}/wdg/sliders_pad_header.hpp
-
-	${SHARED_INC_DIR}/mwdg/slider_status_widget.hpp
-	${SHARED_INC_DIR}/mwdg/controls_view.hpp
-	${SHARED_INC_DIR}/mwdg/controls_delegate.hpp
-	${SHARED_INC_DIR}/mwdg/ctl_arg_view.hpp
-	${SHARED_INC_DIR}/mwdg/ctl_arg_view_integer.hpp
-	${SHARED_INC_DIR}/mwdg/ctl_arg_view_string.hpp
-	${SHARED_INC_DIR}/mwdg/ctl_arg_view_card.hpp
-
-	${SHARED_INC_DIR}/views/message_widget.hpp
-	${SHARED_INC_DIR}/views/view_base.hpp
-	${SHARED_INC_DIR}/views/device_selection_view.hpp
-	${SHARED_INC_DIR}/views/basic_dialog.hpp
-	${SHARED_INC_DIR}/views/multi_page_dialog.hpp
-	${SHARED_INC_DIR}/views/info_dialog.hpp
-
-	mwdg/mixer_hctl.hpp
-	mwdg/mixer_hctl_edit_bool.hpp
-	mwdg/mixer_hctl_edit_enum.hpp
-	mwdg/mixer_hctl_edit_int.hpp
-	mwdg/mixer_hctl_editor.hpp
-	mwdg/mixer_hctl_edit_unsupported.hpp
-	mwdg/mixer_hctl_int_proxies_group.hpp
-	mwdg/mixer_hctl_int_proxy_column.hpp
-	mwdg/mixer_hctl_int_proxy_slider.hpp
-	mwdg/mixer_hctl_proxies_group.hpp
-	mwdg/mixer_hctl_proxy.hpp
-	mwdg/mixer_hctl_proxy_enum.hpp
-	mwdg/mixer_hctl_proxy_switch.hpp
-	mwdg/mixer_hctl_slider_status_widget.hpp
-	mwdg/mixer_hctl_table_model.hpp
-	mwdg/mixer_hctl_tree_model.hpp
-
-	views/mixer_hctl.hpp
-
-	main_window.hpp
-)
-
 
 # --- Compiler flags
 
-SET ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wextra -Wunused -Wall" )
+SET ( CMAKE_CXX_STANDARD 17 )
+SET ( CMAKE_CXX_STANDARD_REQUIRED OFF )
+SET ( CMAKE_CXX_EXTENSIONS OFF )
+SET ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wextra -Wunused -Wall" )
 SET ( CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -g -fno-inline" )
 SET ( CMAKE_CXX_FLAGS_RELEASE "-O2 ${CMAKE_CXX_FLAGS_RELEASE}" )
-SET ( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed" )
 
 
 # --- Include directories
@@ -226,19 +161,13 @@
 INCLUDE_DIRECTORIES ( ${ALSA_INCLUDE_DIRS} )
 
 
-# --- QT extras
-
-QT5_WRAP_CPP ( SRC_GUI_MOC ${SRC_GUI_HEADER_MOC} )
-QT5_WRAP_CPP ( SRC_EXTRA_MOC ${SRC_EXTRA_HEADER_MOC} )
-
-
 # --- Executable
 
 ADD_EXECUTABLE ( ${PROGRAM_NAME}
 	${SRC_GUI}
 	${SRC_GUI_MOC}
 )
-
+SET_TARGET_PROPERTIES ( ${PROGRAM_NAME} PROPERTIES AUTOMOC ON )
 TARGET_LINK_LIBRARIES ( ${PROGRAM_NAME}
 	Qt5::Widgets
 	Qt5::Svg

=== qasmixer/graphics/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,3 @@
-
-CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )
-
-
 # Install application icons
 
 INSTALL( FILES icons/app-icon-16x16.png

=== qasmixer/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,3 @@
-
-CMAKE_MINIMUM_REQUIRED ( VERSION 2.8.11 )
-
-
 # --- Find modules
 
 FIND_PACKAGE ( Qt5Core REQUIRED )
@@ -25,7 +21,6 @@
 # --- Sources
 
 SET ( SRC_GUI
-
 	${SHARED_SRC_DIR}/qsnd/alsa.cpp
 	${SHARED_SRC_DIR}/qsnd/event_types.cpp
 	${SHARED_SRC_DIR}/qsnd/ctl_format_argument.cpp
@@ -170,79 +165,14 @@
 )
 
 
-SET ( SRC_GUI_HEADER_MOC
-
-	${SHARED_INC_DIR}/qsnd/controls_database.hpp
-	${SHARED_INC_DIR}/qsnd/controls_model.hpp
-	${SHARED_INC_DIR}/qsnd/cards_model.hpp
-	${SHARED_INC_DIR}/qsnd/mixer_simple_elem.hpp
-	${SHARED_INC_DIR}/qsnd/mixer_simple.hpp
-	${SHARED_INC_DIR}/qsnd/udev_device_lookout.hpp
-
-	${SHARED_INC_DIR}/dpe/is_buffer.hpp
-	${SHARED_INC_DIR}/dpe/image_allocator.hpp
-
-	${SHARED_INC_DIR}/wdg/ds_slider.hpp
-	${SHARED_INC_DIR}/wdg/ds_switch.hpp
-	${SHARED_INC_DIR}/wdg/balloon_widget.hpp
-	${SHARED_INC_DIR}/wdg/pad_proxy.hpp
-	${SHARED_INC_DIR}/wdg/pad_proxy_slider.hpp
-	${SHARED_INC_DIR}/wdg/pad_proxy_switch.hpp
-	${SHARED_INC_DIR}/wdg/pad_proxy_enum.hpp
-	${SHARED_INC_DIR}/wdg/pad_proxies_column.hpp
-	${SHARED_INC_DIR}/wdg/pad_proxies_group.hpp
-	${SHARED_INC_DIR}/wdg/sliders_pad_data.hpp
-	${SHARED_INC_DIR}/wdg/sliders_pad_header.hpp
-	${SHARED_INC_DIR}/wdg/sliders_pad_footer.hpp
-	${SHARED_INC_DIR}/wdg/sliders_pad.hpp
-	${SHARED_INC_DIR}/wdg/switches_pad.hpp
-
-	${SHARED_INC_DIR}/mwdg/controls_delegate.hpp
-	${SHARED_INC_DIR}/mwdg/controls_view.hpp
-	${SHARED_INC_DIR}/mwdg/ctl_arg_view.hpp
-	${SHARED_INC_DIR}/mwdg/ctl_arg_view_string.hpp
-	${SHARED_INC_DIR}/mwdg/ctl_arg_view_integer.hpp
-	${SHARED_INC_DIR}/mwdg/ctl_arg_view_card.hpp
-	${SHARED_INC_DIR}/mwdg/slider_status_widget.hpp
-
-	${SHARED_INC_DIR}/views/message_widget.hpp
-	${SHARED_INC_DIR}/views/view_base.hpp
-	${SHARED_INC_DIR}/views/device_selection_view.hpp
-	${SHARED_INC_DIR}/views/basic_dialog.hpp
-	${SHARED_INC_DIR}/views/multi_page_dialog.hpp
-	${SHARED_INC_DIR}/views/info_dialog.hpp
-
-	${SHARED_INC_DIR}/unix_signal_handler.hpp
-	${SHARED_INC_DIR}/single_application.hpp
-
-	mwdg/mixer_sliders_proxy_slider.hpp
-	mwdg/mixer_sliders_proxy_switch.hpp
-	mwdg/mixer_sliders_proxies_column.hpp
-	mwdg/mixer_sliders_proxies_group.hpp
-	mwdg/mixer_sliders_status_widget.hpp
-	mwdg/mixer_sliders.hpp
-	mwdg/mixer_switches_proxy_enum.hpp
-	mwdg/mixer_switches_proxy_switch.hpp
-	mwdg/mixer_switches_proxies_group.hpp
-	mwdg/mixer_switches.hpp
-
-	views/mixer_simple.hpp
-	views/settings_dialog.hpp
-
-	tray_mixer_icon.hpp
-	tray_mixer_balloon.hpp
-	tray_mixer.hpp
-	main_window.hpp
-	desktop_items.hpp
-)
-
-
 # --- Compiler flags
 
-SET ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wextra -Wunused -Wall" )
+SET ( CMAKE_CXX_STANDARD 17 )
+SET ( CMAKE_CXX_STANDARD_REQUIRED OFF )
+SET ( CMAKE_CXX_EXTENSIONS OFF )
+SET ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wextra -Wunused -Wall" )
 SET ( CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -g -fno-inline" )
 SET ( CMAKE_CXX_FLAGS_RELEASE "-O2 ${CMAKE_CXX_FLAGS_RELEASE}" )
-SET ( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--as-needed" )
 
 
 # --- Include directories
@@ -253,18 +183,12 @@
 INCLUDE_DIRECTORIES ( ${ALSA_INCLUDE_DIRS} )
 
 
-# --- QT extras
-
-QT5_WRAP_CPP ( SRC_GUI_MOC ${SRC_GUI_HEADER_MOC} )
-QT5_WRAP_CPP ( SRC_EXTRA_MOC ${SRC_EXTRA_HEADER_MOC} )
-
-
 # --- Executable
 
 ADD_EXECUTABLE ( ${PROGRAM_NAME}
 	${SRC_GUI}
-	${SRC_GUI_MOC}
 )
+SET_TARGET_PROPERTIES ( ${PROGRAM_NAME} PROPERTIES AUTOMOC ON )
 TARGET_LINK_LIBRARIES ( ${PROGRAM_NAME}
 	Qt5::Widgets
 	Qt5::Svg

=== debian/changelog ===
qastools (0.22.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- andyprough <andyprough@protonmail.com>  Thu, 13 Aug 2020 22:50:46 -0500

qastools (0.22.0-1) unstable; urgency=medium

  * New upstream release.
    - Switch to MIT license
    - Remove xwmw.org references
    - CMake: Modernize CMakeLists.txt
    - CMake: Use AUTOMOC
    - Bug fixes
  * Switch from upstream .tar.gz files to upstream git
  * Add quilt patch to remove the misleading upstream Makefile
  * debian/control:
    - Use debhelper-compat instead of debian/compat
    - debhelper-compat raised to 12
    - Standards-Version raised to 4.4.1
    - Set Rules-Requires-Root to no
    - Update Build-Depends for Buster/Sid
    - Set Vcs-* to salsa.debian.org
    - Set Homepage to https://gitlab.com/sebholt/qastools
    - Set maintainer address to debian-multimedia@lists.debian.org
    - Set qastools-common Multi-Arch to foreign
  * debian/copyright:
    - Use https protocol in Format field
    - Update contact addresses
    - Set Source to https://gitlab.com/sebholt/qastools
    - Change "Files: *" license to MIT
    - Add MIT license
  * debian/watch:
    - Use fakeupstream.cgi to get the version from gitlab.com

 -- Sebastian Holtermann <sebholt@web.de>  Sat, 05 Oct 2019 14:30:44 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with scour --parallel
+	dh $@ --with scour
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DSKIP_LICENSE_INSTALL=TRUE
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
